<?php

$order = new NLBookingAPIEditOrderParams();   // Создаем контейнер заказа
$order->setOrder('UV8R1L'); // Устанавливаем UniqueID общего заказа
$order->addCurrency(17);    // Устанавливаем валюту заказа

/* Формируем единичный заказ отеля */
$orderHotel = new NLBookingAPIEditOrderHotelParams();   // Контейнер отелей заказа.
$orderHotel->setOrderHotel('UV8R1LA');                  // Устанавливаем UniqueID единичного заказа отеля
$orderHotel->addHotel(100);                             // Устанавливаем отель
$orderHotel->addPeriod('2020-05-22', '2020-05-26');     // Устанавливаем период проживания

$orderHotelRoom_1 = new NLBookingAPIOrderHotelRoomParams();     // Создаем контейнер для первого номера (в данном примере он будет заказан в колличестве 1)
$orderHotelRoom_1->addRoom(116);             // Устанавливаем номер
$orderHotelRoom_1->addHotelRatePlan(5);  // Устанавливаем тарифный план отеля
$orderHotelRoom_1->addPlacementType(4);     // Устанавливаем тип размещения
$orderHotelRoom_1->addFoodType(14);         // Устанавливаем тип питания
$orderHotelRoom_1_Amount_1 = new NLBookingAPIOrderHotelRoomAmountParams();  // Создаем контейнер настроек первого номера
$orderHotelRoom_1_Amount_1->addAdult('Adult Name');         // Добавляем взрослого, указывая его имя
$orderHotelRoom_1_Amount_1->addChild('Child Name', 5);      // Добавляем ребенка, указывая его имя и возраст
$orderHotelRoom_1_Amount_1->addEarlyCheckIn('12:00', 1);    // Устанавливаем ранний заезд
$orderHotelRoom_1_Amount_1->addLateCheckOut('18:00');       // Устанавливаем поздний выезд
$orderHotelRoom_1_Amount_1->addClientNote('Тестовое бронирование'); // Устанавливаем дополнительное пожелание клиента
$orderHotelRoom_1->addAmount($orderHotelRoom_1_Amount_1);   // Добавляем проживающих и настройки номера. Данный номер заказан в колличестве 1

$orderHotelRoom_2 = new NLBookingAPIOrderHotelRoomParams();     // Создаем контейнер для второго номера (в данном примере он будет заказан в колличестве 2)
$orderHotelRoom_2->addRoom(116);             // Устанавливаем номер
$orderHotelRoom_2->addHotelRatePlan(5);  // Устанавливаем тарифный план отеля
$orderHotelRoom_2->addPlacementType(6);     // Устанавливаем тип размещения
$orderHotelRoom_2->addFoodType(14);         // Устанавливаем тип питания
$orderHotelRoom_2_Amount_1 = new NLBookingAPIOrderHotelRoomAmountParams();  // Создаем первый контейнер настроек второго номера
$orderHotelRoom_2_Amount_1->addAdult('Adult 1');            // Добавляем первого взрослого, указывая его имя
$orderHotelRoom_2_Amount_1->addAdult('Adult 2');            // Добавляем второго взрослого, указывая его имя
$orderHotelRoom_2_Amount_1->addChild('Child 1', 4);         // Добавляем ребенка, указывая его имя и возраст
$orderHotelRoom_2_Amount_1->addEarlyCheckIn('08:00', 2);    // Устанавливаем ранний заезд
$orderHotelRoom_2_Amount_1->addLateCheckOut('18:00');       // Устанавливаем поздний выезд
$orderHotelRoom_2_Amount_1->addClientNote('Тестовое бронирование'); // Устанавливаем дополнительное пожелание клиента
$orderHotelRoom_2_Amount_2 = new NLBookingAPIOrderHotelRoomAmountParams();  // Создаем второй контейнер настроек второго номера
$orderHotelRoom_2_Amount_2->addAdult('Adult 3');            // Добавляем взрослого, указывая его имя
$orderHotelRoom_2_Amount_2->addChild('Child 2', 2);         // Добавляем ребенка, указывая его имя и возраст
$orderHotelRoom_2_Amount_2->addClientNote('Тестовое бронирование'); // Устанавливаем дополнительное пожелание клиента
$orderHotelRoom_2->addAmount($orderHotelRoom_2_Amount_1);   // Добавляем проживающих и настройки номера 1. Сейчас данный номер заказан в колличестве 1
$orderHotelRoom_2->addAmount($orderHotelRoom_2_Amount_2);   // Добавляем проживающих и настройки номера 2. Сейчас данный номер заказан в колличестве 2

$orderHotel->addRoom($orderHotelRoom_1);    // Добавляем первый номер отеля
$orderHotel->addRoom($orderHotelRoom_2);    // Добавляем второй номер отеля

$order->addHotel($orderHotel);              // Добавляем отель в заказ
/* */

$rs = $api->simulateEditOrder($order);  // Симулируем изменение заказа
